#include <stdio.h>

 int a, b, c, d, e, f;
  
  a = 0;
  b = 1;
  c = 2;
  d = 3;
  e = 4;
  f = 5;
  
void main(void)
{
  if (a == 0)
  {
  	switch(b){
  	case(1):
  		
  		if ( c == 1)
  		{
  			printf("a is 0.\n");
  			printf("b is 1.\n");
  			printf("c is 1.\n");
  		}
  		else if( c == 2 )
  		{
  			switch(d){
  			case(3):
  				
  				if ( e == 4 )
  				{
  					switch(f){
  					case(5):
  						printf("a is 0.\n");
  						printf("b is 1.\n");
  						printf("c is 2.\n");
  						printf("d is 3.\n");
  						printf("e is 4.\n");
  						printf("f is 5.\n");
  						break;
  						
  					}
  				}
  				
  				break;
  			case(4):
  				printf("a is 0.\n");
  				printf("b is 1.\n");
  				printf("c is 2.\n");
  				printf("d is 4.\n");
  				break;
  			}
  		}
  		
  		break;
  	case(2):
  		printf("a is 0.\n");
  		printf("b is 2.\n");
  		break;
  	default:
  		printf("a is 0.\n");
  		printf("b is not 0.\n");
  		printf("b is not 1.\n");
  	}
  }
  else if (a == 1)
  {
  	switch(b){
  	case(3):
  		printf("a is 1.\n");
  		printf("b is 3.\n");
  		break;
  	case(4):
  		printf("a is 1.\n");
  		printf("b is 4.\n");
  		break;
  	default:
  		printf("a is 1.\n");
  		printf("b is not 0.\n");
  		printf("b is not 1.\n");
  	}
  }
	
  else
  {
  	printf("a is not 0.\n");
  	printf("a is not 1.\n");
  }
}
